## jline
Class ConsoleRunner

    java.lang.Object
      jline.ConsoleRunner

public class ConsoleRunner
extends Object

A pass-through application that sets the system input stream to a `ConsoleReader` and invokes the specified main method.

Author:
  Marc Prud'hommeaux

Field Summary
`static String` `property`

Constructor Summary
`ConsoleRunner()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    public static final String property

See Also:
  Constant Field Values

Constructor Detail

### ConsoleRunner

    public ConsoleRunner()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Released under the terms of the BSD license